Bug 1215414 - Review Request: angelscript - Flexible cross-platform scripting library
Summary: Review Request: angelscript - Flexible cross-platform scripting library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 879931 (view as bug list)
Depends On: 879931
Blocks: rigsofrods 1208136
TreeView+ depends on / blocked
 
Reported: 2015-04-26 12:52 UTC by Igor Gnatenko
Modified: 2015-07-30 00:59 UTC (History)
5 users (show)

Fixed In Version: angelscript-2.30.0-6.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-30 00:59:05 UTC
Type: ---
hdegoede: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Igor Gnatenko 2015-04-26 12:52:46 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/for-review/angelscript.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/for-review/angelscript-2.30.0-1.fc23.src.rpm
Description:
The AngelCode Scripting Library, or AngelScript as it is also known, is an
extremely flexible cross-platform scripting library designed to allow
applications to extend their functionality through external scripts. It has
been designed from the beginning to be an easy to use component, both for the
application programmer and the script writer.

Efforts have been made to let it call standard C functions and C++ methods
with little to no need for proxy functions. The application simply registers
the functions, objects, and methods that the scripts should be able to work
with and nothing more has to be done with your code. The same functions used
by the application internally can also be used by the scripting engine, which
eliminates the need to duplicate functionality.

Fedora Account System Username: ignatenkobrain

Comment 1 Igor Gnatenko 2015-04-26 12:58:36 UTC
ldconfig: Can't link /lib64//usr/local/lib/libangelscript.so to libangelscript.so.2.30.0

Don't have idea how to fix this

Comment 2 Michael Schwendt 2015-04-27 09:54:13 UTC
When do you get that error?


> Name:		angelscript

> %prep
> %setup -q -n sdk

This is not nice, since "-n sdk" implies "rm -rf sdk" in builddir root and may wipe something in a completely unexpected way.

Typically, in such a case where %name is completely different from top source dir, you would use %setup -c and "cd sdk" in %prep, %build and %install:

Comment 3 Gwyn Ciesla 2015-05-01 20:03:06 UTC
I don't get that error either.  I expected it at install time but I got nothing.  Is it at compile time for another program, like stk or something?

Comment 5 Hans de Goede 2015-05-18 08:49:21 UTC
*** Bug 879931 has been marked as a duplicate of this bug. ***

Comment 6 Hans de Goede 2015-05-18 08:57:37 UTC
I'm going to review this one, assigning it to myself.

Comment 7 Igor Gnatenko 2015-05-18 09:41:04 UTC
(In reply to Hans de Goede from comment #6)
> I'm going to review this one, assigning it to myself.
I'm happy %) Let's do it!

Comment 8 Hans de Goede 2015-05-18 10:13:21 UTC
Full review done:

Good:
--------
- rpmlint checks return:
 angelscript-devel.x86_64: W: only-non-binary-in-usr-lib
 4 packages and 0 specfiles checked; 0 errors, 1 warnings.
 This warning can be ignored
- package meets naming guidelines
- package meets packaging guidelines
- license (zlib) OK, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file
- devel package ok
- no .la files
- post/postun ldconfig ok
- devel requires base package n-v-r 

Should fix:
-Change the %doc for -devel from "%doc sdk/docs/*" to "%doc sdk/docs/manual/*" to avoid including the files under dk/docs/articles in both the main package and the -devel package

No blockers: Approved.

Comment 9 Igor Gnatenko 2015-05-18 10:31:02 UTC
> -Change the %doc for -devel from "%doc sdk/docs/*" to "%doc sdk/docs/manual/*" to avoid including the files under dk/docs/articles in both the main package and the -devel package
I will fix on import stage. Thanks for review!

New Package SCM Request
=======================
Package Name: angelscript
Short Description: Flexible cross-platform scripting library
Upstream URL: http://www.angelcode.com/angelscript/
Owners: ignatenkobrain
Branches: f21 f22

Comment 10 Gwyn Ciesla 2015-05-18 12:41:41 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2015-05-18 20:48:13 UTC
angelscript-2.30.0-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/angelscript-2.30.0-3.fc22

Comment 12 Igor Gnatenko 2015-05-18 20:48:26 UTC
*** Bug 879931 has been marked as a duplicate of this bug. ***

Comment 13 Fedora Update System 2015-05-20 02:52:20 UTC
angelscript-2.30.0-3.fc22 has been pushed to the Fedora 22 testing repository.

Comment 14 Fedora Update System 2015-05-21 14:23:44 UTC
angelscript-2.30.0-6.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/angelscript-2.30.0-6.fc22

Comment 15 Dan Horák 2015-05-25 13:07:28 UTC
two notes
- it fails to build on all secondary arches, please either fix it or make it ExclusiveArch - there seem to be some assembler code in source/as_callfunc_x64_gcc.cpp that's being used for non-x86 arches
- there are tons of "dereferencing type-punned pointer will break strict-aliasing rules" warnings, please build with --fno-strict-aliasing, ignoring them can lead to unpredictable results especially in combination with gcc5

Comment 16 Igor Gnatenko 2015-06-23 08:20:41 UTC
(In reply to Dan Horák from comment #15)
> two notes
> - it fails to build on all secondary arches, please either fix it or make it
> ExclusiveArch - there seem to be some assembler code in
> source/as_callfunc_x64_gcc.cpp that's being used for non-x86 arches
I will do now exclusivearch and try to fix in the future if someone will need for secondary arches
> - there are tons of "dereferencing type-punned pointer will break
> strict-aliasing rules" warnings, please build with --fno-strict-aliasing,
> ignoring them can lead to unpredictable results especially in combination
> with gcc5
Will do

Comment 17 Fedora Update System 2015-07-30 00:59:05 UTC
angelscript-2.30.0-6.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.